Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network182.4.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
182.4.0.0
Broadcast address
182.4.127.255
First usable
182.4.0.1
Last usable
182.4.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex B6040000 · Integer 3053715456 to 3053748223
Reverse DNS zones
0.4.182.in-addr.arpa
1.4.182.in-addr.arpa
2.4.182.in-addr.arpa
3.4.182.in-addr.arpa
4.4.182.in-addr.arpa
5.4.182.in-addr.arpa
6.4.182.in-addr.arpa
7.4.182.in-addr.arpa
8.4.182.in-addr.arpa
9.4.182.in-addr.arpa
10.4.182.in-addr.arpa
11.4.182.in-addr.arpa
12.4.182.in-addr.arpa
13.4.182.in-addr.arpa
14.4.182.in-addr.arpa
15.4.182.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110110.00000100.00000000.00000000182.4.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10110110.00000100.00000000.00000000182.4.0.0
Broadcast10110110.00000100.01111111.11111111182.4.127.255
Split into smaller subnets/29

182.4.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1182.4.0.0/29182.4.0.1 to 182.4.0.6182.4.0.76
2182.4.0.8/29182.4.0.9 to 182.4.0.14182.4.0.156
3182.4.0.16/29182.4.0.17 to 182.4.0.22182.4.0.236
4182.4.0.24/29182.4.0.25 to 182.4.0.30182.4.0.316
5182.4.0.32/29182.4.0.33 to 182.4.0.38182.4.0.396
6182.4.0.40/29182.4.0.41 to 182.4.0.46182.4.0.476
7182.4.0.48/29182.4.0.49 to 182.4.0.54182.4.0.556
8182.4.0.56/29182.4.0.57 to 182.4.0.62182.4.0.636
9182.4.0.64/29182.4.0.65 to 182.4.0.70182.4.0.716
10182.4.0.72/29182.4.0.73 to 182.4.0.78182.4.0.796
11182.4.0.80/29182.4.0.81 to 182.4.0.86182.4.0.876
12182.4.0.88/29182.4.0.89 to 182.4.0.94182.4.0.956
13182.4.0.96/29182.4.0.97 to 182.4.0.102182.4.0.1036
14182.4.0.104/29182.4.0.105 to 182.4.0.110182.4.0.1116
15182.4.0.112/29182.4.0.113 to 182.4.0.118182.4.0.1196
16182.4.0.120/29182.4.0.121 to 182.4.0.126182.4.0.1276
17182.4.0.128/29182.4.0.129 to 182.4.0.134182.4.0.1356
18182.4.0.136/29182.4.0.137 to 182.4.0.142182.4.0.1436
19182.4.0.144/29182.4.0.145 to 182.4.0.150182.4.0.1516
20182.4.0.152/29182.4.0.153 to 182.4.0.158182.4.0.1596
21182.4.0.160/29182.4.0.161 to 182.4.0.166182.4.0.1676
22182.4.0.168/29182.4.0.169 to 182.4.0.174182.4.0.1756
23182.4.0.176/29182.4.0.177 to 182.4.0.182182.4.0.1836
24182.4.0.184/29182.4.0.185 to 182.4.0.190182.4.0.1916
25182.4.0.192/29182.4.0.193 to 182.4.0.198182.4.0.1996
26182.4.0.200/29182.4.0.201 to 182.4.0.206182.4.0.2076
27182.4.0.208/29182.4.0.209 to 182.4.0.214182.4.0.2156
28182.4.0.216/29182.4.0.217 to 182.4.0.222182.4.0.2236
29182.4.0.224/29182.4.0.225 to 182.4.0.230182.4.0.2316
30182.4.0.232/29182.4.0.233 to 182.4.0.238182.4.0.2396
31182.4.0.240/29182.4.0.241 to 182.4.0.246182.4.0.2476
32182.4.0.248/29182.4.0.249 to 182.4.0.254182.4.0.2556
33182.4.1.0/29182.4.1.1 to 182.4.1.6182.4.1.76
34182.4.1.8/29182.4.1.9 to 182.4.1.14182.4.1.156
35182.4.1.16/29182.4.1.17 to 182.4.1.22182.4.1.236
36182.4.1.24/29182.4.1.25 to 182.4.1.30182.4.1.316
37182.4.1.32/29182.4.1.33 to 182.4.1.38182.4.1.396
38182.4.1.40/29182.4.1.41 to 182.4.1.46182.4.1.476
39182.4.1.48/29182.4.1.49 to 182.4.1.54182.4.1.556
40182.4.1.56/29182.4.1.57 to 182.4.1.62182.4.1.636
41182.4.1.64/29182.4.1.65 to 182.4.1.70182.4.1.716
42182.4.1.72/29182.4.1.73 to 182.4.1.78182.4.1.796
43182.4.1.80/29182.4.1.81 to 182.4.1.86182.4.1.876
44182.4.1.88/29182.4.1.89 to 182.4.1.94182.4.1.956
45182.4.1.96/29182.4.1.97 to 182.4.1.102182.4.1.1036
46182.4.1.104/29182.4.1.105 to 182.4.1.110182.4.1.1116
47182.4.1.112/29182.4.1.113 to 182.4.1.118182.4.1.1196
48182.4.1.120/29182.4.1.121 to 182.4.1.126182.4.1.1276
49182.4.1.128/29182.4.1.129 to 182.4.1.134182.4.1.1356
50182.4.1.136/29182.4.1.137 to 182.4.1.142182.4.1.1436
51182.4.1.144/29182.4.1.145 to 182.4.1.150182.4.1.1516
52182.4.1.152/29182.4.1.153 to 182.4.1.158182.4.1.1596
53182.4.1.160/29182.4.1.161 to 182.4.1.166182.4.1.1676
54182.4.1.168/29182.4.1.169 to 182.4.1.174182.4.1.1756
55182.4.1.176/29182.4.1.177 to 182.4.1.182182.4.1.1836
56182.4.1.184/29182.4.1.185 to 182.4.1.190182.4.1.1916
57182.4.1.192/29182.4.1.193 to 182.4.1.198182.4.1.1996
58182.4.1.200/29182.4.1.201 to 182.4.1.206182.4.1.2076
59182.4.1.208/29182.4.1.209 to 182.4.1.214182.4.1.2156
60182.4.1.216/29182.4.1.217 to 182.4.1.222182.4.1.2236
61182.4.1.224/29182.4.1.225 to 182.4.1.230182.4.1.2316
62182.4.1.232/29182.4.1.233 to 182.4.1.238182.4.1.2396
63182.4.1.240/29182.4.1.241 to 182.4.1.246182.4.1.2476
64182.4.1.248/29182.4.1.249 to 182.4.1.254182.4.1.2556
65182.4.2.0/29182.4.2.1 to 182.4.2.6182.4.2.76
66182.4.2.8/29182.4.2.9 to 182.4.2.14182.4.2.156
67182.4.2.16/29182.4.2.17 to 182.4.2.22182.4.2.236
68182.4.2.24/29182.4.2.25 to 182.4.2.30182.4.2.316
69182.4.2.32/29182.4.2.33 to 182.4.2.38182.4.2.396
70182.4.2.40/29182.4.2.41 to 182.4.2.46182.4.2.476
71182.4.2.48/29182.4.2.49 to 182.4.2.54182.4.2.556
72182.4.2.56/29182.4.2.57 to 182.4.2.62182.4.2.636
73182.4.2.64/29182.4.2.65 to 182.4.2.70182.4.2.716
74182.4.2.72/29182.4.2.73 to 182.4.2.78182.4.2.796
75182.4.2.80/29182.4.2.81 to 182.4.2.86182.4.2.876
76182.4.2.88/29182.4.2.89 to 182.4.2.94182.4.2.956
77182.4.2.96/29182.4.2.97 to 182.4.2.102182.4.2.1036
78182.4.2.104/29182.4.2.105 to 182.4.2.110182.4.2.1116
79182.4.2.112/29182.4.2.113 to 182.4.2.118182.4.2.1196
80182.4.2.120/29182.4.2.121 to 182.4.2.126182.4.2.1276
81182.4.2.128/29182.4.2.129 to 182.4.2.134182.4.2.1356
82182.4.2.136/29182.4.2.137 to 182.4.2.142182.4.2.1436
83182.4.2.144/29182.4.2.145 to 182.4.2.150182.4.2.1516
84182.4.2.152/29182.4.2.153 to 182.4.2.158182.4.2.1596
85182.4.2.160/29182.4.2.161 to 182.4.2.166182.4.2.1676
86182.4.2.168/29182.4.2.169 to 182.4.2.174182.4.2.1756
87182.4.2.176/29182.4.2.177 to 182.4.2.182182.4.2.1836
88182.4.2.184/29182.4.2.185 to 182.4.2.190182.4.2.1916
89182.4.2.192/29182.4.2.193 to 182.4.2.198182.4.2.1996
90182.4.2.200/29182.4.2.201 to 182.4.2.206182.4.2.2076
91182.4.2.208/29182.4.2.209 to 182.4.2.214182.4.2.2156
92182.4.2.216/29182.4.2.217 to 182.4.2.222182.4.2.2236
93182.4.2.224/29182.4.2.225 to 182.4.2.230182.4.2.2316
94182.4.2.232/29182.4.2.233 to 182.4.2.238182.4.2.2396
95182.4.2.240/29182.4.2.241 to 182.4.2.246182.4.2.2476
96182.4.2.248/29182.4.2.249 to 182.4.2.254182.4.2.2556
97182.4.3.0/29182.4.3.1 to 182.4.3.6182.4.3.76
98182.4.3.8/29182.4.3.9 to 182.4.3.14182.4.3.156
99182.4.3.16/29182.4.3.17 to 182.4.3.22182.4.3.236
100182.4.3.24/29182.4.3.25 to 182.4.3.30182.4.3.316
101182.4.3.32/29182.4.3.33 to 182.4.3.38182.4.3.396
102182.4.3.40/29182.4.3.41 to 182.4.3.46182.4.3.476
103182.4.3.48/29182.4.3.49 to 182.4.3.54182.4.3.556
104182.4.3.56/29182.4.3.57 to 182.4.3.62182.4.3.636
105182.4.3.64/29182.4.3.65 to 182.4.3.70182.4.3.716
106182.4.3.72/29182.4.3.73 to 182.4.3.78182.4.3.796
107182.4.3.80/29182.4.3.81 to 182.4.3.86182.4.3.876
108182.4.3.88/29182.4.3.89 to 182.4.3.94182.4.3.956
109182.4.3.96/29182.4.3.97 to 182.4.3.102182.4.3.1036
110182.4.3.104/29182.4.3.105 to 182.4.3.110182.4.3.1116
111182.4.3.112/29182.4.3.113 to 182.4.3.118182.4.3.1196
112182.4.3.120/29182.4.3.121 to 182.4.3.126182.4.3.1276
113182.4.3.128/29182.4.3.129 to 182.4.3.134182.4.3.1356
114182.4.3.136/29182.4.3.137 to 182.4.3.142182.4.3.1436
115182.4.3.144/29182.4.3.145 to 182.4.3.150182.4.3.1516
116182.4.3.152/29182.4.3.153 to 182.4.3.158182.4.3.1596
117182.4.3.160/29182.4.3.161 to 182.4.3.166182.4.3.1676
118182.4.3.168/29182.4.3.169 to 182.4.3.174182.4.3.1756
119182.4.3.176/29182.4.3.177 to 182.4.3.182182.4.3.1836
120182.4.3.184/29182.4.3.185 to 182.4.3.190182.4.3.1916
121182.4.3.192/29182.4.3.193 to 182.4.3.198182.4.3.1996
122182.4.3.200/29182.4.3.201 to 182.4.3.206182.4.3.2076
123182.4.3.208/29182.4.3.209 to 182.4.3.214182.4.3.2156
124182.4.3.216/29182.4.3.217 to 182.4.3.222182.4.3.2236
125182.4.3.224/29182.4.3.225 to 182.4.3.230182.4.3.2316
126182.4.3.232/29182.4.3.233 to 182.4.3.238182.4.3.2396
127182.4.3.240/29182.4.3.241 to 182.4.3.246182.4.3.2476
128182.4.3.248/29182.4.3.249 to 182.4.3.254182.4.3.2556
129182.4.4.0/29182.4.4.1 to 182.4.4.6182.4.4.76
130182.4.4.8/29182.4.4.9 to 182.4.4.14182.4.4.156
131182.4.4.16/29182.4.4.17 to 182.4.4.22182.4.4.236
132182.4.4.24/29182.4.4.25 to 182.4.4.30182.4.4.316
133182.4.4.32/29182.4.4.33 to 182.4.4.38182.4.4.396
134182.4.4.40/29182.4.4.41 to 182.4.4.46182.4.4.476
135182.4.4.48/29182.4.4.49 to 182.4.4.54182.4.4.556
136182.4.4.56/29182.4.4.57 to 182.4.4.62182.4.4.636
137182.4.4.64/29182.4.4.65 to 182.4.4.70182.4.4.716
138182.4.4.72/29182.4.4.73 to 182.4.4.78182.4.4.796
139182.4.4.80/29182.4.4.81 to 182.4.4.86182.4.4.876
140182.4.4.88/29182.4.4.89 to 182.4.4.94182.4.4.956
141182.4.4.96/29182.4.4.97 to 182.4.4.102182.4.4.1036
142182.4.4.104/29182.4.4.105 to 182.4.4.110182.4.4.1116
143182.4.4.112/29182.4.4.113 to 182.4.4.118182.4.4.1196
144182.4.4.120/29182.4.4.121 to 182.4.4.126182.4.4.1276
145182.4.4.128/29182.4.4.129 to 182.4.4.134182.4.4.1356
146182.4.4.136/29182.4.4.137 to 182.4.4.142182.4.4.1436
147182.4.4.144/29182.4.4.145 to 182.4.4.150182.4.4.1516
148182.4.4.152/29182.4.4.153 to 182.4.4.158182.4.4.1596
149182.4.4.160/29182.4.4.161 to 182.4.4.166182.4.4.1676
150182.4.4.168/29182.4.4.169 to 182.4.4.174182.4.4.1756
151182.4.4.176/29182.4.4.177 to 182.4.4.182182.4.4.1836
152182.4.4.184/29182.4.4.185 to 182.4.4.190182.4.4.1916
153182.4.4.192/29182.4.4.193 to 182.4.4.198182.4.4.1996
154182.4.4.200/29182.4.4.201 to 182.4.4.206182.4.4.2076
155182.4.4.208/29182.4.4.209 to 182.4.4.214182.4.4.2156
156182.4.4.216/29182.4.4.217 to 182.4.4.222182.4.4.2236
157182.4.4.224/29182.4.4.225 to 182.4.4.230182.4.4.2316
158182.4.4.232/29182.4.4.233 to 182.4.4.238182.4.4.2396
159182.4.4.240/29182.4.4.241 to 182.4.4.246182.4.4.2476
160182.4.4.248/29182.4.4.249 to 182.4.4.254182.4.4.2556
161182.4.5.0/29182.4.5.1 to 182.4.5.6182.4.5.76
162182.4.5.8/29182.4.5.9 to 182.4.5.14182.4.5.156
163182.4.5.16/29182.4.5.17 to 182.4.5.22182.4.5.236
164182.4.5.24/29182.4.5.25 to 182.4.5.30182.4.5.316
165182.4.5.32/29182.4.5.33 to 182.4.5.38182.4.5.396
166182.4.5.40/29182.4.5.41 to 182.4.5.46182.4.5.476
167182.4.5.48/29182.4.5.49 to 182.4.5.54182.4.5.556
168182.4.5.56/29182.4.5.57 to 182.4.5.62182.4.5.636
169182.4.5.64/29182.4.5.65 to 182.4.5.70182.4.5.716
170182.4.5.72/29182.4.5.73 to 182.4.5.78182.4.5.796
171182.4.5.80/29182.4.5.81 to 182.4.5.86182.4.5.876
172182.4.5.88/29182.4.5.89 to 182.4.5.94182.4.5.956
173182.4.5.96/29182.4.5.97 to 182.4.5.102182.4.5.1036
174182.4.5.104/29182.4.5.105 to 182.4.5.110182.4.5.1116
175182.4.5.112/29182.4.5.113 to 182.4.5.118182.4.5.1196
176182.4.5.120/29182.4.5.121 to 182.4.5.126182.4.5.1276
177182.4.5.128/29182.4.5.129 to 182.4.5.134182.4.5.1356
178182.4.5.136/29182.4.5.137 to 182.4.5.142182.4.5.1436
179182.4.5.144/29182.4.5.145 to 182.4.5.150182.4.5.1516
180182.4.5.152/29182.4.5.153 to 182.4.5.158182.4.5.1596
181182.4.5.160/29182.4.5.161 to 182.4.5.166182.4.5.1676
182182.4.5.168/29182.4.5.169 to 182.4.5.174182.4.5.1756
183182.4.5.176/29182.4.5.177 to 182.4.5.182182.4.5.1836
184182.4.5.184/29182.4.5.185 to 182.4.5.190182.4.5.1916
185182.4.5.192/29182.4.5.193 to 182.4.5.198182.4.5.1996
186182.4.5.200/29182.4.5.201 to 182.4.5.206182.4.5.2076
187182.4.5.208/29182.4.5.209 to 182.4.5.214182.4.5.2156
188182.4.5.216/29182.4.5.217 to 182.4.5.222182.4.5.2236
189182.4.5.224/29182.4.5.225 to 182.4.5.230182.4.5.2316
190182.4.5.232/29182.4.5.233 to 182.4.5.238182.4.5.2396
191182.4.5.240/29182.4.5.241 to 182.4.5.246182.4.5.2476
192182.4.5.248/29182.4.5.249 to 182.4.5.254182.4.5.2556
193182.4.6.0/29182.4.6.1 to 182.4.6.6182.4.6.76
194182.4.6.8/29182.4.6.9 to 182.4.6.14182.4.6.156
195182.4.6.16/29182.4.6.17 to 182.4.6.22182.4.6.236
196182.4.6.24/29182.4.6.25 to 182.4.6.30182.4.6.316
197182.4.6.32/29182.4.6.33 to 182.4.6.38182.4.6.396
198182.4.6.40/29182.4.6.41 to 182.4.6.46182.4.6.476
199182.4.6.48/29182.4.6.49 to 182.4.6.54182.4.6.556
200182.4.6.56/29182.4.6.57 to 182.4.6.62182.4.6.636
201182.4.6.64/29182.4.6.65 to 182.4.6.70182.4.6.716
202182.4.6.72/29182.4.6.73 to 182.4.6.78182.4.6.796
203182.4.6.80/29182.4.6.81 to 182.4.6.86182.4.6.876
204182.4.6.88/29182.4.6.89 to 182.4.6.94182.4.6.956
205182.4.6.96/29182.4.6.97 to 182.4.6.102182.4.6.1036
206182.4.6.104/29182.4.6.105 to 182.4.6.110182.4.6.1116
207182.4.6.112/29182.4.6.113 to 182.4.6.118182.4.6.1196
208182.4.6.120/29182.4.6.121 to 182.4.6.126182.4.6.1276
209182.4.6.128/29182.4.6.129 to 182.4.6.134182.4.6.1356
210182.4.6.136/29182.4.6.137 to 182.4.6.142182.4.6.1436
211182.4.6.144/29182.4.6.145 to 182.4.6.150182.4.6.1516
212182.4.6.152/29182.4.6.153 to 182.4.6.158182.4.6.1596
213182.4.6.160/29182.4.6.161 to 182.4.6.166182.4.6.1676
214182.4.6.168/29182.4.6.169 to 182.4.6.174182.4.6.1756
215182.4.6.176/29182.4.6.177 to 182.4.6.182182.4.6.1836
216182.4.6.184/29182.4.6.185 to 182.4.6.190182.4.6.1916
217182.4.6.192/29182.4.6.193 to 182.4.6.198182.4.6.1996
218182.4.6.200/29182.4.6.201 to 182.4.6.206182.4.6.2076
219182.4.6.208/29182.4.6.209 to 182.4.6.214182.4.6.2156
220182.4.6.216/29182.4.6.217 to 182.4.6.222182.4.6.2236
221182.4.6.224/29182.4.6.225 to 182.4.6.230182.4.6.2316
222182.4.6.232/29182.4.6.233 to 182.4.6.238182.4.6.2396
223182.4.6.240/29182.4.6.241 to 182.4.6.246182.4.6.2476
224182.4.6.248/29182.4.6.249 to 182.4.6.254182.4.6.2556
225182.4.7.0/29182.4.7.1 to 182.4.7.6182.4.7.76
226182.4.7.8/29182.4.7.9 to 182.4.7.14182.4.7.156
227182.4.7.16/29182.4.7.17 to 182.4.7.22182.4.7.236
228182.4.7.24/29182.4.7.25 to 182.4.7.30182.4.7.316
229182.4.7.32/29182.4.7.33 to 182.4.7.38182.4.7.396
230182.4.7.40/29182.4.7.41 to 182.4.7.46182.4.7.476
231182.4.7.48/29182.4.7.49 to 182.4.7.54182.4.7.556
232182.4.7.56/29182.4.7.57 to 182.4.7.62182.4.7.636
233182.4.7.64/29182.4.7.65 to 182.4.7.70182.4.7.716
234182.4.7.72/29182.4.7.73 to 182.4.7.78182.4.7.796
235182.4.7.80/29182.4.7.81 to 182.4.7.86182.4.7.876
236182.4.7.88/29182.4.7.89 to 182.4.7.94182.4.7.956
237182.4.7.96/29182.4.7.97 to 182.4.7.102182.4.7.1036
238182.4.7.104/29182.4.7.105 to 182.4.7.110182.4.7.1116
239182.4.7.112/29182.4.7.113 to 182.4.7.118182.4.7.1196
240182.4.7.120/29182.4.7.121 to 182.4.7.126182.4.7.1276
241182.4.7.128/29182.4.7.129 to 182.4.7.134182.4.7.1356
242182.4.7.136/29182.4.7.137 to 182.4.7.142182.4.7.1436
243182.4.7.144/29182.4.7.145 to 182.4.7.150182.4.7.1516
244182.4.7.152/29182.4.7.153 to 182.4.7.158182.4.7.1596
245182.4.7.160/29182.4.7.161 to 182.4.7.166182.4.7.1676
246182.4.7.168/29182.4.7.169 to 182.4.7.174182.4.7.1756
247182.4.7.176/29182.4.7.177 to 182.4.7.182182.4.7.1836
248182.4.7.184/29182.4.7.185 to 182.4.7.190182.4.7.1916
249182.4.7.192/29182.4.7.193 to 182.4.7.198182.4.7.1996
250182.4.7.200/29182.4.7.201 to 182.4.7.206182.4.7.2076
251182.4.7.208/29182.4.7.209 to 182.4.7.214182.4.7.2156
252182.4.7.216/29182.4.7.217 to 182.4.7.222182.4.7.2236
253182.4.7.224/29182.4.7.225 to 182.4.7.230182.4.7.2316
254182.4.7.232/29182.4.7.233 to 182.4.7.238182.4.7.2396
255182.4.7.240/29182.4.7.241 to 182.4.7.246182.4.7.2476
256182.4.7.248/29182.4.7.249 to 182.4.7.254182.4.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses